---
title: "Retrieve Master Phases/Cost Codes By Code"
slug: "retrieve-master-phasescost-codes-by-code"
updated: 2026-05-26T12:53:14Z
published: 2026-05-26T12:53:48Z
canonical: "developers.cmicglobal.com/retrieve-master-phasescost-codes-by-code"
---

> ## Documentation Index
> Fetch the complete documentation index at: https://developers.cmicglobal.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve Master Phases/Cost Codes By Code

Get/jc-rest-api/rest/1/jcmastercostcodes

## Query Standards

### Finder

Following row finders are available for data filtering and optimizing request performance.

- Select Cost Codes
- By UUID

#### Select Cost Codes

Recommended finder parameters. Refer to Query Parameters for example.

| Parameter | Description | Sample |
| --- | --- | --- |
| compCode | Company Code | ZZ |
| costCode | Cost Code | 02-200 |
| auditDate | Create or Update Date Time Filter | 2022-08-17T13:07:43-04:00 |

#### By UUID

This is an optional finder for querying a specific Master Phases/Cost Code by row ID.

| Parameter | Description | Sample |
| --- | --- | --- |
| /VUUID | The VUuid attribute is the Unique row ID | /jc-rest-api/rest/1/jcmastercostcodes/E38A888E060E3CFCE05316821FACD19A |

SecurityHTTPType basic

Basic authentication

Query parametersfinderstringExampleselectCostCodes;compCode=ZZ,costCode=02-200,auditDate=2022-08-17T13:07:43-04:00
limitintegerExample500
offsetintegerExample0
totalResultsbooleanExampletrue
orderBystringExamplePhsVUuid:desc

Responses200

OK

HeadersContent-TypestringExampleapplication/vnd.oracle.adf.resourcecollection+json
<select class='api-response-data' aria-label='Media type'><option value='7ce56890-fa68-4300-bcbb-b40c7b2cd669'>application/json</option>
</select>

```json
{
  "items": [
    {
      "PhsActiveFlag": "Y",
      "PhsAddedOnTheFlyFlg": "N",
      "PhsAltCode": "0200-02-01T00:00:00Z",
      "PhsCode": "0200-02-01T00:00:00Z",
      "PhsCompCode": "ZZ",
      "PhsCompName": "CMiC Test Company Inc.",
      "PhsCtrlCode": "02",
      "PhsCtrlName": "Preliminary & General",
      "PhsDefaultWcbCode": null,
      "PhsFirstSegmValue": null,
      "PhsHasLowerLevelPhases": "N",
      "PhsHier": "ZZ      02              02-200          ",
      "PhsIuCreateDate": null,
      "PhsIuUpdateDate": "2022-08-17T17:07:43Z",
      "PhsMasterFlag": "N",
      "PhsName": "Back Fill",
      "PhsProgramName": null,
      "PhsRowid": "AAAh8FAAGAAAEIDAAF",
      "PhsSpecialityFlag": "N",
      "PhsTypeCode": null,
      "PhsWbsvCode1": null,
      "PhsWbsvCode2": null,
      "PhsWbsvCode3": null,
      "PhsWbsvCode4": null,
      "PhsWbsvEditableFlag1": "N",
      "PhsWbsvEditableFlag2": "N",
      "PhsWbsvEditableFlag3": "Y",
      "PhsWbsvEditableFlag4": "N",
      "PhsWbsvRequiredFlag1": "N",
      "PhsWbsvRequiredFlag2": "N",
      "PhsWbsvRequiredFlag3": "N",
      "PhsWbsvRequiredFlag4": "N",
      "PhsWmCode": "NA",
      "PhsWmName": "Not Applic",
      "PhsVUuid": "E8D4050227F444CAE05313061FACA379",
      "links": [
        {
          "rel": "self",
          "href": "http://solutionsr12mob.cmicpaas.com:80/cmicprod/jc-rest-api/rest/1/jcmastercostcodes/E8D4050227F444CAE05313061FACA379",
          "name": "jcmastercostcodes",
          "kind": "item"
        },
        {
          "rel": "canonical",
          "href": "http://solutionsr12mob.cmicpaas.com:80/cmicprod/jc-rest-api/rest/1/jcmastercostcodes/E8D4050227F444CAE05313061FACA379",
          "name": "jcmastercostcodes",
          "kind": "item"
        }
      ]
    }
  ],
  "count": 1,
  "hasMore": false,
  "limit": 1,
  "offset": 0,
  "links": [
    {
      "rel": "self",
      "href": "http://solutionsr12mob.cmicpaas.com:80/cmicprod/jc-rest-api/rest/1/jcmastercostcodes",
      "name": "jcmastercostcodes",
      "kind": "collection"
    }
  ]
}
```

object
